import bpy
from bpy.types import Operator

from ..utils.sectionbox import get_sectionbox


class SECTIONBOX_OT_Delete(Operator):
    bl_idname = "sectionbox.delete"
    bl_label = "Delete"
    bl_description = "Delete the active section box"
    bl_options = {"UNDO"}

    def execute(self, context):
        sb = get_sectionbox(context, check_active=True)
        if not sb:
            return {"PASS_THROUGH"}

        sb.delete(context)
        return {"FINISHED"}
