import bpy
from bpy.types import PropertyGroup

from .sectionbox_settings import SECTIONBOX_PG_SectionBoxSettings
from .sectionplane_settings import SECTIONBOX_PG_SectionPlaneSettings
from ..utils.properties import prop_filter


class SECTIONBOX_PG_View(PropertyGroup):
    name: bpy.props.StringProperty()
    sectionbox_settings: bpy.props.PointerProperty(
        type=SECTIONBOX_PG_SectionBoxSettings
    )
    plane_settings: bpy.props.CollectionProperty(
        type=SECTIONBOX_PG_SectionPlaneSettings
    )

    def init(self, sb):
        for prop in filter(
            lambda a: prop_filter(self.sectionbox_settings, a),
            dir(self.sectionbox_settings),
        ):
            setattr(self.sectionbox_settings, prop, getattr(sb, prop))

        self.plane_settings.clear()
        for plane in sb.planes:
            plane_settings = self.plane_settings.add()
            for prop in filter(
                lambda a: prop_filter(plane_settings, a), dir(plane_settings)
            ):
                setattr(plane_settings, prop, getattr(plane, prop))
