import bpy

from .main_menu import SECTIONBOX_PT_MainMenu
from .list import SECTIONBOX_UL_List
from .general_settings_menu import SECTIONBOX_MT_GeneralSettingsMenu
from .. import addon_id

classes = [
    SECTIONBOX_UL_List,
    SECTIONBOX_PT_MainMenu,
    SECTIONBOX_MT_GeneralSettingsMenu,
]


def update_merge(merge):
    SECTIONBOX_PT_MainMenu.bl_category = "Ruben's Addons" if merge else "Section Box"


def register_ui():
    update_merge(bpy.context.preferences.addons[addon_id].preferences.merge_panels)
    for cls in classes:
        bpy.utils.register_class(cls)


def unregister_ui():
    for cls in reversed(classes):
        bpy.utils.unregister_class(cls)
