import bpy


def init_modals(context):
    if context.window_manager.sectionbox.running_modals:
        return

    context.window_manager.sectionbox.running_modals = True

    override = context.copy()
    area = [a for a in context.screen.areas if a.type == "VIEW_3D"][0]
    space_data = [s for s in area.spaces if s.type == "VIEW_3D"][0]
    region = [r for r in area.regions if r.type == "WINDOW"][0]
    override["space_data"] = space_data
    with context.temp_override(area=area, space_data=space_data, region=region):
        bpy.ops.sectionbox.sync_modal("INVOKE_DEFAULT")
        bpy.ops.sectionbox.hover_modal("INVOKE_DEFAULT")
        bpy.ops.sectionbox.transform_modal("INVOKE_DEFAULT")
